GIT “is_git_directory()” puffer túlcsordulásos sérülékenység

CH azonosító

CH-3698

Angol cím

GIT "is_git_directory()" Buffer Overflow Vulnerability

Felfedezés dátuma

2010.09.26.

Súlyosság

Alacsony

Érintett rendszerek

GIT
N/A

Érintett verziók

GIT 1.x

Összefoglaló

A GIT egy sérülékenységét jelentették, amit kihasználva rosszindulatú, helyi felhasználók emelt szintű jogosultságokat szerezhetnek.

Leírás

A sérülékenységet kiváltó határérték hibát a setup.c “is_git_directory()” függvényének hibája okozza a “.git” állományok feldolgozásakor. Ezt kihasználva, verem túlcsordulást lehet okozni egy túlságosan hosszú “gitdir” paraméterrel.

A sérülékenységet az 1.5.6 és 1.7.1 közti verziókban jelentették, de egyéb kiadások is érintve lehetnek.

Megoldás

Frissítsen a legújabb verzióra